Index: cprs/branches/foia-cprs/CPRS-Chart/Orders/fODDiet.dfm
===================================================================
--- cprs/branches/foia-cprs/CPRS-Chart/Orders/fODDiet.dfm	(revision 459)
+++ cprs/branches/foia-cprs/CPRS-Chart/Orders/fODDiet.dfm	(revision 460)
@@ -1,5 +1,7 @@
 inherited frmODDiet: TfrmODDiet
-  Left = 404
-  Top = 199
+  Left = 541
+  Top = 398
+  Width = 532
+  Height = 291
   Caption = 'Diet Order'
   OnKeyDown = FormKeyDown
@@ -9,6 +11,6 @@
     Left = 0
     Top = 0
-    Width = 520
-    Height = 186
+    Width = 524
+    Height = 194
     ActivePage = pgeOutPt
     Align = alTop
@@ -86,4 +88,5 @@
         OnMouseClick = cboDietAvailMouseClick
         OnNeedData = cboDietAvailNeedData
+        CharsNeedMatch = 1
       end
       object lstDietSelect: TORListBox
@@ -165,4 +168,5 @@
         TabOrder = 6
         OnChange = DietChange
+        CharsNeedMatch = 1
       end
       object chkCancelTubefeeding: TCheckBox
@@ -195,6 +199,6 @@
       end
       object lblOPDietAvail: TLabel
-        Left = 127
-        Top = 0
+        Left = 0
+        Top = 1
         Width = 70
         Height = 13
@@ -203,5 +207,5 @@
       object lblOPComment: TLabel
         Left = 4
-        Top = 117
+        Top = 128
         Width = 92
         Height = 13
@@ -216,6 +220,6 @@
       end
       object lblOPSelect: TLabel
-        Left = 127
-        Top = 38
+        Left = 0
+        Top = 39
         Width = 64
         Height = 13
@@ -223,6 +227,6 @@
       end
       object grpOPMeal: TKeyClickRadioGroup
-        Left = 5
-        Top = 5
+        Left = 168
+        Top = 11
         Width = 110
         Height = 107
@@ -234,5 +238,5 @@
           'Evening'
           '<none selected>')
-        TabOrder = 0
+        TabOrder = 3
         TabStop = True
         OnClick = grpOPMealClick
@@ -242,5 +246,5 @@
         Top = 5
         Width = 93
-        Height = 149
+        Height = 155
         Caption = 'Days of Week'
         TabOrder = 8
@@ -334,6 +338,6 @@
       end
       object cboOPDietAvail: TORComboBox
-        Left = 127
-        Top = 15
+        Left = 0
+        Top = 16
         Width = 157
         Height = 21
@@ -341,39 +345,4 @@
         AutoSelect = True
         Caption = 'Available Diet Components'
-        Color = clWindow
-        DropDownCount = 8
-        ItemHeight = 13
-        ItemTipColor = clWindow
-        ItemTipEnable = True
-        ListItemsOnly = True
-        LongList = True
-        LookupPiece = 0
-        MaxLength = 0
-        Pieces = '2'
-        Sorted = False
-        SynonymChars = '<>'
-        TabOrder = 1
-        OnExit = cboDietAvailExit
-        OnMouseClick = cboOPDietAvailMouseClick
-        OnNeedData = cboOPDietAvailNeedData
-      end
-      object txtOPDietComment: TCaptionEdit
-        Left = 4
-        Top = 131
-        Width = 404
-        Height = 21
-        MaxLength = 80
-        TabOrder = 11
-        OnChange = OPChange
-        Caption = 'Special Instructions'
-      end
-      object cboOPDelivery: TORComboBox
-        Left = 292
-        Top = 86
-        Width = 120
-        Height = 21
-        Style = orcsDropDown
-        AutoSelect = True
-        Caption = 'Delivery'
         Color = clWindow
         DropDownCount = 8
@@ -388,10 +357,47 @@
         Sorted = False
         SynonymChars = '<>'
-        TabOrder = 9
+        TabOrder = 0
+        OnExit = cboDietAvailExit
+        OnKeyDown = cboOPDietAvailKeyDown
+        OnMouseClick = cboOPDietAvailMouseClick
+        CharsNeedMatch = 1
+      end
+      object txtOPDietComment: TCaptionEdit
+        Left = 3
+        Top = 143
+        Width = 404
+        Height = 21
+        MaxLength = 80
+        TabOrder = 11
         OnChange = OPChange
+        Caption = 'Special Instructions'
+      end
+      object cboOPDelivery: TORComboBox
+        Left = 292
+        Top = 86
+        Width = 120
+        Height = 21
+        Style = orcsDropDown
+        AutoSelect = True
+        Caption = 'Delivery'
+        Color = clWindow
+        DropDownCount = 8
+        ItemHeight = 13
+        ItemTipColor = clWindow
+        ItemTipEnable = True
+        ListItemsOnly = True
+        LongList = False
+        LookupPiece = 0
+        MaxLength = 0
+        Pieces = '2'
+        Sorted = False
+        SynonymChars = '<>'
+        TabOrder = 6
+        OnChange = OPChange
+        CharsNeedMatch = 1
       end
       object lstOPDietSelect: TORListBox
-        Left = 127
-        Top = 52
+        Left = 0
+        Top = 53
         Width = 156
         Height = 56
@@ -399,17 +405,18 @@
         ParentShowHint = False
         ShowHint = True
-        TabOrder = 2
+        TabOrder = 1
         Caption = 'Selected Diet Components'
         ItemTipColor = clWindow
         LongList = False
         Pieces = '2'
+        OnChange = OPChange
       end
       object cmdOPRemove: TButton
-        Left = 212
-        Top = 109
+        Left = 85
+        Top = 110
         Width = 72
         Height = 17
         Caption = 'Remove'
-        TabOrder = 3
+        TabOrder = 2
         OnClick = cmdOPRemoveClick
       end
@@ -421,7 +428,7 @@
         Caption = 'Cancel Tubefeeding'
         State = cbGrayed
-        TabOrder = 10
+        TabOrder = 7
         Visible = False
-        OnClick = DietChange
+        OnClick = OPChange
       end
     end
@@ -469,4 +476,11 @@
         Height = 13
         Caption = 'Amount'
+      end
+      object lblOPTFStart: TLabel
+        Left = 341
+        Top = 90
+        Width = 51
+        Height = 13
+        Caption = 'Start Date:'
       end
       object cboProduct: TORComboBox
@@ -493,12 +507,13 @@
         OnExit = cboProductExit
         OnMouseClick = cboProductMouseClick
+        CharsNeedMatch = 1
       end
       object txtTFComment: TCaptionEdit
-        Left = 4
+        Left = 6
         Top = 133
         Width = 504
         Height = 21
         MaxLength = 240
-        TabOrder = 6
+        TabOrder = 8
         OnChange = TFChange
         Caption = 'Special Instructions'
@@ -542,11 +557,11 @@
       object txtQuantity: TCaptionEdit
         Tag = -1
-        Left = 340
-        Top = 108
+        Left = 151
+        Top = 124
         Width = 93
         Height = 19
         Hint = 
-          'Enter quantity as 2000 K, 100 CC/HOUR, 8 OZ/TID, etc; total quan' +
-          'tity may not exceed 5000cc.'
+          'Enter quantity as 2000 K, 100 ML/HOUR, 8 OZ/TID, etc; total quan' +
+          'tity may not exceed 5000ml.'
         Ctl3D = False
         ParentCtl3D = False
@@ -563,6 +578,6 @@
       object cboStrength: TCaptionComboBox
         Tag = -1
-        Left = 444
-        Top = 108
+        Left = 252
+        Top = 124
         Width = 53
         Height = 21
@@ -583,4 +598,42 @@
           'FULL')
         Caption = 'Strength'
+      end
+      object calOPTFStart: TORDateBox
+        Left = 341
+        Top = 104
+        Width = 169
+        Height = 21
+        TabStop = False
+        TabOrder = 7
+        Visible = False
+        OnChange = TFChange
+        DateOnly = False
+        RequireTime = False
+        Caption = 'Start Date:'
+      end
+      object cboOPTFRecurringMeals: TORComboBox
+        Left = 342
+        Top = 105
+        Width = 160
+        Height = 21
+        Style = orcsDropDown
+        AutoSelect = True
+        Color = clWindow
+        DropDownCount = 8
+        ItemHeight = 13
+        ItemTipColor = clWindow
+        ItemTipEnable = True
+        ListItemsOnly = False
+        LongList = False
+        LookupPiece = 0
+        MaxLength = 0
+        Pieces = '2,3'
+        Sorted = False
+        SynonymChars = '<>'
+        TabPositions = '12'
+        TabOrder = 6
+        TabStop = True
+        OnChange = TFChange
+        CharsNeedMatch = 1
       end
     end
@@ -705,5 +758,5 @@
         Width = 120
         Height = 21
-        TabOrder = 3
+        TabOrder = 4
         OnChange = calELStopChange
         DateOnly = True
@@ -717,5 +770,5 @@
         Height = 152
         Caption = 'Days of Week'
-        TabOrder = 4
+        TabOrder = 5
         object chkMonday: TCheckBox
           Left = 8
@@ -788,6 +841,31 @@
         Height = 17
         Caption = 'Bagged Meal'
-        TabOrder = 5
+        TabOrder = 6
         OnClick = ELChange
+      end
+      object cboOPELRecurringMeals: TORComboBox
+        Left = 287
+        Top = 15
+        Width = 121
+        Height = 21
+        Style = orcsDropDown
+        AutoSelect = True
+        Color = clWindow
+        DropDownCount = 8
+        ItemHeight = 13
+        ItemTipColor = clWindow
+        ItemTipEnable = True
+        ListItemsOnly = False
+        LongList = False
+        LookupPiece = 0
+        MaxLength = 0
+        Pieces = '2,3'
+        Sorted = False
+        SynonymChars = '<>'
+        TabPositions = '12'
+        TabOrder = 3
+        TabStop = True
+        OnChange = ELChange
+        CharsNeedMatch = 1
       end
     end
@@ -861,4 +939,11 @@
         Caption = 'Enter Additional Diet Order'
       end
+      object lblOPAOStart: TLabel
+        Left = 6
+        Top = 72
+        Width = 51
+        Height = 13
+        Caption = 'Start Date:'
+      end
       object txtAOComment: TCaptionEdit
         Left = 4
@@ -867,18 +952,63 @@
         Height = 21
         MaxLength = 80
-        TabOrder = 0
+        TabOrder = 1
         OnChange = AOChange
         Caption = 'Enter Additional Diet Order'
       end
+      object calOPAOStart: TORDateBox
+        Left = 54
+        Top = 88
+        Width = 169
+        Height = 21
+        TabStop = False
+        TabOrder = 4
+        Visible = False
+        OnChange = AOChange
+        DateOnly = False
+        RequireTime = False
+        Caption = 'Start Date:'
+      end
+      object cboOPAORecurringMeals: TORComboBox
+        Left = 6
+        Top = 88
+        Width = 168
+        Height = 21
+        Style = orcsDropDown
+        AutoSelect = True
+        Color = clWindow
+        DropDownCount = 8
+        ItemHeight = 13
+        ItemTipColor = clWindow
+        ItemTipEnable = True
+        ListItemsOnly = False
+        LongList = False
+        LookupPiece = 0
+        MaxLength = 0
+        Pieces = '2,3'
+        Sorted = False
+        SynonymChars = '<>'
+        TabPositions = '12'
+        TabOrder = 2
+        TabStop = True
+        OnChange = AOChange
+        CharsNeedMatch = 1
+      end
     end
   end
+  inherited memOrder: TCaptionMemo
+    Top = 208
+  end
   inherited cmdAccept: TButton
+    Left = 445
+    Top = 208
     TabOrder = 2
   end
   inherited cmdQuit: TButton
+    Left = 445
+    Top = 235
     TabOrder = 3
   end
   inherited pnlMessage: TPanel
-    Top = 172
+    Top = 197
     Height = 57
     TabOrder = 1
